Package org.apache.xmlbeans

## Class XmlCursor.TokenType

- java.lang.Object
- - org.apache.xmlbeans.XmlCursor.TokenType

- Enclosing interface:
    XmlCursor

      public static final class XmlCursor.TokenType
      extends Object

  An enumeration that identifies the type of an XML token.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XmlCursor.TokenType` | `ATTR` | The singleton attribute token type
    `static XmlCursor.TokenType` | `COMMENT` | The singleton comment token type
    `static XmlCursor.TokenType` | `END` | The singleton end-element token type
    `static XmlCursor.TokenType` | `ENDDOC` | The singleton start-document token type
    `static int` | `INT_ATTR` | The attribute token.
    `static int` | `INT_COMMENT` | The comment token.
    `static int` | `INT_END` | The end-element token.
    `static int` | `INT_ENDDOC` | The end-document token.
    `static int` | `INT_NAMESPACE` | The namespace declaration token.
    `static int` | `INT_NONE` | No token.
    `static int` | `INT_PROCINST` | The processing instruction token.
    `static int` | `INT_START` | The start-element token.
    `static int` | `INT_STARTDOC` | The start-document token.
    `static int` | `INT_TEXT` | The text token.
    `static XmlCursor.TokenType` | `NAMESPACE` | The singleton namespace declaration token type
    `static XmlCursor.TokenType` | `NONE` | The singleton no-token type
    `static XmlCursor.TokenType` | `PROCINST` | The singleton processing instruction token type
    `static XmlCursor.TokenType` | `START` | The singleton start-element token type
    `static XmlCursor.TokenType` | `STARTDOC` | The singleton start-document token type
    `static XmlCursor.TokenType` | `TEXT` | The singleton text token type

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `intValue()` | Returns one of the INT_ values defined in this class.
    `boolean` | `isAnyAttr()` | True if is attribute or namespace declaration token
    `boolean` | `isAttr()` | True if is attribute token.
    `boolean` | `isComment()` | True if is comment token.
    `boolean` | `isContainer()` | True if is start-document or start-element token
    `boolean` | `isEnd()` | True if is end-element token.
    `boolean` | `isEnddoc()` | True if is end-document token.
    `boolean` | `isFinish()` | True if is end-document or end-element token
    `boolean` | `isNamespace()` | True if is namespace declaration token.
    `boolean` | `isNone()` | True if no token.
    `boolean` | `isProcinst()` | True if is processing instruction token.
    `boolean` | `isStart()` | True if is start-element token.
    `boolean` | `isStartdoc()` | True if is start-document token.
    `boolean` | `isText()` | True if is text token.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INT_NONE

          public static final int INT_NONE

      No token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_STARTDOC

          public static final int INT_STARTDOC

      The start-document token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_ENDDOC

          public static final int INT_ENDDOC

      The end-document token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_START

          public static final int INT_START

      The start-element token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_END

          public static final int INT_END

      The end-element token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_TEXT

          public static final int INT_TEXT

      The text token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_ATTR

          public static final int INT_ATTR

      The attribute token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_NAMESPACE

          public static final int INT_NAMESPACE

      The namespace declaration token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_COMMENT

          public static final int INT_COMMENT

      The comment token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### INT_PROCINST

          public static final int INT_PROCINST

      The processing instruction token. See `intValue()`.
      See Also:
        Constant Field Values

    - #### NONE

          public static final XmlCursor.TokenType NONE

      The singleton no-token type

    - #### STARTDOC

          public static final XmlCursor.TokenType STARTDOC

      The singleton start-document token type

    - #### ENDDOC

          public static final XmlCursor.TokenType ENDDOC

      The singleton start-document token type

    - #### START

          public static final XmlCursor.TokenType START

      The singleton start-element token type

    - #### END

          public static final XmlCursor.TokenType END

      The singleton end-element token type

    - #### TEXT

          public static final XmlCursor.TokenType TEXT

      The singleton text token type

    - #### ATTR

          public static final XmlCursor.TokenType ATTR

      The singleton attribute token type

    - #### NAMESPACE

          public static final XmlCursor.TokenType NAMESPACE

      The singleton namespace declaration token type

    - #### COMMENT

          public static final XmlCursor.TokenType COMMENT

      The singleton comment token type

    - #### PROCINST

          public static final XmlCursor.TokenType PROCINST

      The singleton processing instruction token type

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### intValue

          public int intValue()

      Returns one of the INT_ values defined in this class.

    - #### isNone

          public boolean isNone()

      True if no token.

    - #### isStartdoc

          public boolean isStartdoc()

      True if is start-document token.

    - #### isEnddoc

          public boolean isEnddoc()

      True if is end-document token.

    - #### isStart

          public boolean isStart()

      True if is start-element token.

    - #### isEnd

          public boolean isEnd()

      True if is end-element token.

    - #### isText

          public boolean isText()

      True if is text token.

    - #### isAttr

          public boolean isAttr()

      True if is attribute token.

    - #### isNamespace

          public boolean isNamespace()

      True if is namespace declaration token.

    - #### isComment

          public boolean isComment()

      True if is comment token.

    - #### isProcinst

          public boolean isProcinst()

      True if is processing instruction token.

    - #### isContainer

          public boolean isContainer()

      True if is start-document or start-element token

    - #### isFinish

          public boolean isFinish()

      True if is end-document or end-element token

    - #### isAnyAttr

          public boolean isAnyAttr()

      True if is attribute or namespace declaration token